[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#681689: unblock: mpd/0.17-2

Hello Alexander,

Alexander Wirt <formorer@debian.org> (15/07/2012):
> Please unblock package mpd

we can't unblock something that's not uploaded.

> 0.17 introduced a nasty regression which leads to broken mp3 output
> for some soundcards (see #679889). Upstream fixed this regression
> within git and I added the fix to the mpd package. I thought about
> adding dpatch support, but converting it to 3.0 (quilt) made a smaller
> diff to review, so I decided to go into that direction.

Please don't. Given the current packaging, I think just passing --quilt
to your dh command would do the trick, while still limiting the chances
for things to go wrong.

> I attached the debdiff, the package is not yet uploaded, so there is
> room for changes.

Nope, you didn't.

Anyway, looking at the current state of affairs: 0.17-1 has a freeze
exception because it was uploaded before the freeze. Yet, it's not a
candidate because of missing kfreebsd builds:
| out of date on kfreebsd-amd64: mpd, mpd-dbg (from 0.16.8-1)
| out of date on kfreebsd-i386: mpd, mpd-dbg (from 0.16.8-1)

https://buildd.debian.org/status/package.php?p=mpd&suite=sid says:
| Dependency installability problem for mpd on hurd-i386, kfreebsd-amd64
| and kfreebsd-i386:
|   mpd (= 0.17-1) build-depends on missing:
|   - libsystemd-daemon-dev

So you would need to fix that to get your package considered at all.

[ And FWIW, since the automatically-granted freeze exception isn't
sufficient, we'll have to review the whole diff against testing. ]


Attachment: signature.asc
Description: Digital signature

Reply to: